For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList duet voices
      • POSTCreate custom duet voice
      • PUTUpdate duet voice
      • DELDelete duet voice
      • GETList duet voice pairs
      • POSTCreate duet voice pair
      • POSTGenerate duet
Status
LogoLogo
API ReferenceDuets

Update duet voice

PUT
https://app.resemble.ai/api/v2/duet_voices/:id
PUT
/api/v2/duet_voices/:id
$curl -X PUT https://app.resemble.ai/api/v2/duet_voices/1 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{
2 "success": true,
3 "item": {}
4}

Update a custom duet voice (default voices cannot be modified)

Was this page helpful?
Previous

Delete duet voice

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

idintegerRequired

Request

This endpoint expects an object.
namestringOptional
style_promptstringOptional

Response

Duet voice updated
successboolean
itemobject